﻿/* 1. Prevent Text Selection & Highlighting */
/** {
    -webkit-user-select: none;*/ /* Safari/Chrome */
    /*-moz-user-select: none;*/ /* Firefox */
    /*-ms-user-select: none;*/ /* IE/Edge */
    /*user-select: none;*/ /* Standard */
/*}*/

/* 2. Prevent Image/Link Dragging */
img, a {
    -webkit-user-drag: none;
     user-drag: none;
    /*pointer-events: none;  Disables interaction completely */
}
/* General Protections */
* {
    -webkit-user-select: none;
    user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -webkit-user-drag: none;
}

#app {
   /* display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;*/
}

/* Hidden by default, shown when DevTools/Emulation detected */
#block-screen {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #fff;
    z-index: 99999;
    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: #d32f2f;
    text-align: center;
}